package com.objis.demostruts;

import javax.servlet.http.HttpServletRequest;

import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;

/**
 * Bean formulaire pour l'application "Hello World!"
 *
 * @author Douglas MBIANDOU
 */

public final class HelloForm extends ActionForm {

    // --------------------------------------------------- Variables d'Instance

    /**
     * La personne  qui on va dire "Hello!"
     */

    private String person = null;


    // ----------------------------------------------------------- Proprietes

    /**
     * Retourne la personne  qui on va dire "Hello!"
     *
     * @return String la personne  qui on va dire "Hello!"
     */
    public String getPerson() {

        return (this.person);

    }

    /**
     * Initialise la personne.
     *
     * @param person la personne  qui on va dire "Hello!"
     */

    public void setPerson(String person) {

        this.person = person;

    }

    // --------------------------------------------------------- Methodes publiques

    /**
     * Rinitialise toutes les proprits  leur valeur par dfaut.
     *
     * @param mapping Le mapping utilis pour slectionner cette instance
     * @param request la requte HTTP 
     */
    public void reset(ActionMapping mapping, HttpServletRequest request) {
        this.person = null;
    }

    /**
     * Valide les proprits posts dans cette requte . S'il y a des erreurs de validation
     * retoure un objet <code>ActionErrors</code> contnant les erreurs.
     * Si aucune erreur de validation, retourne un code <code>null</code> ou un objet
     * <code>ActionErrors</code> vide.
     *
     * @param mapping le mapping actuel (de struts-config.xml)
     * @param request la requte HTTP
     */
    public ActionErrors validate(ActionMapping mapping,
                                 HttpServletRequest request) {

        ActionErrors errors = new ActionErrors();

        if ((person == null) || (person.length() < 1))
        	errors.add("person", new ActionMessage("com.objis.demostruts.no.person.error"));
        return errors;

    }

}
